Bug 146924 - clustat -x segfaults if rgmanager is not running
clustat -x segfaults if rgmanager is not running
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 14:49 EST by Lon Hohberger
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0148
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 17:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes segfault for cases that cman has not converged on anything yet (1006 bytes, patch)
2006-09-06 13:31 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2005-02-02 14:49:22 EST
Description of problem:

[root@green ~]# clustat -x
<?xml version="1.0"?>
<clustat version="4.0">
  <quorum quorate="1"/>
  <nodes>
Segmentation fault
Comment 1 Lon Hohberger 2005-02-08 03:19:05 EST
fix in cvs
Comment 2 Dean Jansa 2006-06-01 17:09:50 EDT
Now running clustat on a non quorate cluster causes a seg fault.

[root@link-14 ~]# clustat -x
Segmentation fault
<From console>: CMAN: quorum regained, resuming activity                       
                                             

[root@link-14 ~]# clustat -x
<?xml version="1.0"?>
<clustat version="4.1.1">
  <quorum quorate="1"/>
  <nodes>
    <node name="link-13" state="1" local="0" estranged="0" rgmanager="0"
nodeid="0x0000000000000001"/>
    <node name="link-14" state="1" local="1" estranged="0" rgmanager="0"
nodeid="0x0000000000000003"/>
    <node name="link-15" state="1" local="0" estranged="0" rgmanager="0"
nodeid="0x0000000000000002"/>
    <node name="link-16" state="1" local="0" estranged="0" rgmanager="0"
nodeid="0x0000000000000004"/>
  </nodes>
</clustat>
[root@link-14 ~]#
Comment 3 Lon Hohberger 2006-09-06 13:31:55 EDT
Created attachment 135679 [details]
fixes segfault for cases that cman has not converged on anything yet
Comment 4 Lon Hohberger 2006-09-06 13:33:22 EDT
[root@green utils]# ./clustat
Member Status: Inquorate

Resource Group Manager not running; no service information available.

Membership information not available
...
CMAN: forming a new cluster
...
[root@green utils]# ./clustat
Member Status: Inquorate

Resource Group Manager not running; no service information available.

  Member Name                              Status
  ------ ----                              ------
  green.lab.boston.redhat.com              Online, Local
Comment 7 Red Hat Bugzilla 2007-05-10 17:02:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0148.html

Note You need to log in before you can comment on or make changes to this bug.